Deprecate hash_algorithms option

Bug #1804720 reported by zhongshengping on 2018-11-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-barbican
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-ceilometer
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-cinder
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-cloudkitty
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-congress
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-designate
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-ec2api
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-freezer
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-glance
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-glare
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-gnocchi
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-heat
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-ironic
Status tracked in Stein
Stein
Undecided
zhongshengping
puppet-keystone
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-magnum
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-manila
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-mistral
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-neutron
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-nova
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-octavia
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-openstack-cookiecutter
Undecided
zhongshengping
puppet-panko
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-sahara
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-senlin
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-tacker
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-trove
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-vitrage
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-watcher
Undecided
zhongshengping
Stein
Undecided
zhongshengping
puppet-zaqar
Undecided
zhongshengping
Stein
Undecided
zhongshengping

Bug Description

2018-11-20 09:18:17.241 29461 WARNING oslo_config.cfg [-] Option "hash_algorithms " from group "keystone_authtoken" is deprecated for removal. Its value may be silently ignored in the future.

Deprecated reason: PKI token format is no longer supported.

zhongshengping (chdzsp) on 2018-11-23
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ceilometer:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cinder:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-cloudkitty:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-congress:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-designate:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ec2api:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-freezer:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glance:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-glare:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-gnocchi:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-heat:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ironic:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-11-23
Changed in puppet-keystone:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-mistral:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-neutron:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-nova:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-openstack-cookiecutter:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-panko:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-11-23
Changed in puppet-sahara:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-senlin:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-tacker:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-trove:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-watcher:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-zaqar:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-watcher:
status: New → In Progress
Changed in puppet-ec2api:
status: New → In Progress
Changed in puppet-tacker:
status: New → In Progress
Changed in puppet-congress:
status: New → In Progress
Changed in puppet-glance:
status: New → In Progress
Changed in puppet-senlin:
status: New → In Progress
Changed in puppet-aodh:
status: New → In Progress
Changed in puppet-manila:
status: New → In Progress
Changed in puppet-freezer:
status: New → In Progress
Changed in puppet-vitrage:
status: New → In Progress
Changed in puppet-barbican:
status: New → In Progress
Changed in puppet-cloudkitty:
status: New → In Progress
Changed in puppet-sahara:
status: New → In Progress
Changed in puppet-mistral:
status: New → In Progress
Changed in puppet-heat:
status: New → In Progress
Changed in puppet-panko:
status: New → In Progress
Changed in puppet-ironic:
status: New → In Progress
Changed in puppet-gnocchi:
status: New → In Progress
Changed in puppet-designate:
status: New → In Progress
Changed in puppet-trove:
status: New → In Progress
Changed in puppet-zaqar:
status: New → In Progress
Changed in puppet-glare:
status: New → In Progress
Changed in puppet-ceilometer:
status: New → In Progress
Changed in puppet-neutron:
status: New → In Progress
Changed in puppet-octavia:
status: New → In Progress
Changed in puppet-nova:
status: New → In Progress
Changed in puppet-magnum:
status: New → In Progress
Changed in puppet-cinder:
status: New → In Progress
zhongshengping (chdzsp) on 2018-11-23
Changed in puppet-openstack-cookiecutter:
status: New → In Progress
zhongshengping (chdzsp) on 2018-11-26
Changed in puppet-keystone:
status: New → In Progress

Reviewed: https://review.openstack.org/619402
Committed: https://git.openstack.org/cgit/openstack/puppet-cloudkitty/commit/?id=795f339ef639156d90d5d45ab77d0dedb52f5298
Submitter: Zuul
Branch: master

commit 795f339ef639156d90d5d45ab77d0dedb52f5298
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:55 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I9c7a2db192629408e21812d86431de9415fe173e
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-cloudkitty:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619403
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=3f0847a63225c26b6bddfa37d839e9f5690f311d
Submitter: Zuul
Branch: master

commit 3f0847a63225c26b6bddfa37d839e9f5690f311d
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Ia1de7bb3a36852d9e8d0909f94dc17b396db4064
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619405
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=ff52d5f8a5bd516bbf024b46c30a6f85383c8f40
Submitter: Zuul
Branch: master

commit ff52d5f8a5bd516bbf024b46c30a6f85383c8f40
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:58 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Ic360bd95c3cf542ca2833e366102950cecd7ef5b
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-trove:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619404
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=242661ea0b9cc49d12f611d8d7a38070d0296645
Submitter: Zuul
Branch: master

commit 242661ea0b9cc49d12f611d8d7a38070d0296645
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Ief42f88197d15d4dd8d16365a5a3d0f6863d654a
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-mistral:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619407
Committed: https://git.openstack.org/cgit/openstack/puppet-freezer/commit/?id=56378b02722e9d64d40157440091e21d26bc3727
Submitter: Zuul
Branch: master

commit 56378b02722e9d64d40157440091e21d26bc3727
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I590241e0dca24ffa5dc084576fd72eb171905582
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-freezer:
status: In Progress → Fix Released
Changed in puppet-congress:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619420
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=7936f5f50e3ad01330cacd2829b59180c6ab07df
Submitter: Zuul
Branch: master

commit 7936f5f50e3ad01330cacd2829b59180c6ab07df
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:55 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I7a5f8e21629ef8db6fec5c8050deb632a09f87c6
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-glare:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619409
Committed: https://git.openstack.org/cgit/openstack/puppet-glare/commit/?id=f67462cce2694195c3ead16e1fd69121fe1d2524
Submitter: Zuul
Branch: master

commit f67462cce2694195c3ead16e1fd69121fe1d2524
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Idf08b1283b64f1d6707fd6d7a87b0b1c39f5d319
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Reviewed: https://review.openstack.org/619423
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=9d98a5968f99b5656c8fab228f00c883567941cd
Submitter: Zuul
Branch: master

commit 9d98a5968f99b5656c8fab228f00c883567941cd
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I019a4738d1b3a386e81c04511d5a9bb629283d7d
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-magnum:
status: In Progress → Fix Released
Changed in puppet-aodh:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619422
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=768fa0661cd7ff350bbf3ad107640fccffe5a70d
Submitter: Zuul
Branch: master

commit 768fa0661cd7ff350bbf3ad107640fccffe5a70d
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:55 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: If6988f9cdf4e3edc825b6f9dbfcdb24155458e51
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619416
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=bd2f2472554d21627aec60bb6ff2797f981eb4fe
Submitter: Zuul
Branch: master

commit bd2f2472554d21627aec60bb6ff2797f981eb4fe
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:55 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I5a0a697afbabe6312e2a2b46f70f51964649a9da
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Reviewed: https://review.openstack.org/619411
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=d8e1123122e767f64a42c859015eb99eef1eef6c
Submitter: Zuul
Branch: master

commit d8e1123122e767f64a42c859015eb99eef1eef6c
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I6ed03f77f4a13bab4593b7669b331fc35a68854c
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-heat:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619421
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=ef4562d8b767d74f8ae993412ebbcdb04660ebf5
Submitter: Zuul
Branch: master

commit ef4562d8b767d74f8ae993412ebbcdb04660ebf5
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:58 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Ic2b1069d9a03d3a04e661c60b199309d2c572ae7
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-tacker:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619430
Committed: https://git.openstack.org/cgit/openstack/puppet-watcher/commit/?id=17e2cf230efbc4926bc899e8aee329d0263aa177
Submitter: Zuul
Branch: master

commit 17e2cf230efbc4926bc899e8aee329d0263aa177
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:58 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I541df1b901024376e91b90012c3ddbe3296b6374
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-watcher:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619410
Committed: https://git.openstack.org/cgit/openstack/puppet-panko/commit/?id=a4c362131b242612c787e48b0ea0fb49a09a3f55
Submitter: Zuul
Branch: master

commit a4c362131b242612c787e48b0ea0fb49a09a3f55
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:58 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I98c88882d49d2d3f59535eef1c3b3d75af7f35f9
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-panko:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619424
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=ace6dbba019452b3f3c6fdb28f780866868937c6
Submitter: Zuul
Branch: master

commit ace6dbba019452b3f3c6fdb28f780866868937c6
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:58 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I4f2437e426785368c7de20b092dc9ee5ab6b9345
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-sahara:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619425
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=84c8ba02afb59db25fd96a8025aa00f11a4d975d
Submitter: Zuul
Branch: master

commit 84c8ba02afb59db25fd96a8025aa00f11a4d975d
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:59 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I0ad17b24278372f9f3648450f23957413a1f40d3
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-zaqar:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619406
Committed: https://git.openstack.org/cgit/openstack/puppet-senlin/commit/?id=6a76a88bbd8526d03ae10718af6e3822fec023f7
Submitter: Zuul
Branch: master

commit 6a76a88bbd8526d03ae10718af6e3822fec023f7
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:59 2018 +0800

    Remove pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported. We can
    remove them.

    Change-Id: Ieaf6176f0308bbf051e7b4dcd7e9fea793c5bc36
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-senlin:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619418
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=abb9ba6f3588c979cfd12772eb9c3530e4e0726a
Submitter: Zuul
Branch: master

commit abb9ba6f3588c979cfd12772eb9c3530e4e0726a
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I6d7b74c6a21943953f8de5dd0ed0ec59835cd05d
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-designate:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619419
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=c75873e4a5a33806c0ddefeebe9dea47492c4c48
Submitter: Zuul
Branch: master

commit c75873e4a5a33806c0ddefeebe9dea47492c4c48
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Ib5dc556c9e39ff80161cfa35ce176a18b9ea6074
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-manila:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619429
Committed: https://git.openstack.org/cgit/openstack/puppet-ec2api/commit/?id=d22c97150e608441dcdfddfec8418552b5c5280f
Submitter: Zuul
Branch: master

commit d22c97150e608441dcdfddfec8418552b5c5280f
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: If6a8d4a55316103b8aad2e65796bfcafe807d231
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-ec2api:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619412
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=6e5261868a59ae7f05a20b22f4e7bc66bce067ef
Submitter: Zuul
Branch: master

commit 6e5261868a59ae7f05a20b22f4e7bc66bce067ef
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:55 2018 +0800

    deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Idb200319b86062f0d145cd1650349dd8337a953d
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-ceilometer:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619414
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=d41875954dda966f26316fdecce28e7f079c9ad0
Submitter: Zuul
Branch: master

commit d41875954dda966f26316fdecce28e7f079c9ad0
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Icd78fb502f2c4d3eaecdd8bbe78f42e12b74f937
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-ironic:
status: In Progress → Fix Released
zhongshengping (chdzsp) on 2018-11-30
Changed in puppet-openstack-cookiecutter:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619427
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=64541b401791589541589b25a7d7c577ffbd7629
Submitter: Zuul
Branch: master

commit 64541b401791589541589b25a7d7c577ffbd7629
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I97ba129ad72cad9554a51603d7416a0feeecb47c
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-nova:
status: In Progress → Fix Released
Changed in puppet-neutron:
assignee: zhongshengping (chdzsp) → Tobias Urdin (tobias-urdin)

Reviewed: https://review.openstack.org/619408
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=eeec291e9ed1f68eec2c3632406f3dfcbad86d8d
Submitter: Zuul
Branch: master

commit eeec291e9ed1f68eec2c3632406f3dfcbad86d8d
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:58 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Depends-On: https://review.openstack.org/#/c/621407/
    Change-Id: Ia35210c240f5b0197b20b5f5f62bb8313bf2b02d
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-vitrage:
status: In Progress → Fix Released
zhongshengping (chdzsp) on 2018-12-05
Changed in puppet-keystone:
status: In Progress → Fix Released
Changed in puppet-neutron:
assignee: Tobias Urdin (tobias-urdin) → zhongshengping (chdzsp)

Reviewed: https://review.openstack.org/619431
Committed: https://git.openstack.org/cgit/openstack/puppet-gnocchi/commit/?id=abe4ba3476a13c250cec968a10f6f5a25c116f6d
Submitter: Zuul
Branch: master

commit abe4ba3476a13c250cec968a10f6f5a25c116f6d
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I5dafdade9ff8ea6d786f28b49b181880855f3780
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-gnocchi:
status: In Progress → Fix Released
Changed in puppet-neutron:
assignee: zhongshengping (chdzsp) → Tobias Urdin (tobias-urdin)
Changed in puppet-neutron:
assignee: Tobias Urdin (tobias-urdin) → zhongshengping (chdzsp)

Reviewed: https://review.openstack.org/619415
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=f8692c4d7c47b5065676f2d6b95b1aedac096d4c
Submitter: Zuul
Branch: master

commit f8692c4d7c47b5065676f2d6b95b1aedac096d4c
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:56 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: Ic25814ff5d8a3134de59876c38da2c245c50d7ca
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-glance:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619417
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=8d05dd00b55adb89103d970febfc75788bc03b69
Submitter: Zuul
Branch: master

commit 8d05dd00b55adb89103d970febfc75788bc03b69
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:55 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I1ec9c946fb467e869df08a4697f89f9dd9a2b4db
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-cinder:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/619426
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=3f4c3625f05772fa85ec982e375400722d81f728
Submitter: Zuul
Branch: master

commit 3f4c3625f05772fa85ec982e375400722d81f728
Author: ZhongShengping <chdzsp@163.com>
Date: Thu Nov 22 11:31:57 2018 +0800

    Deprecate pki related options

    check_revocations_for_cached and hash_algorithms are deprecated for
    removel because of PKI token format is no longer supported.
    Update warning message and add a release note.

    Change-Id: I8cc64c8a0fdf002405e8cfdba178c3a6fcda5bab
    Closes-Bug: #1804562
    Closes-Bug: #1804720

Changed in puppet-neutron:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-aodh 14.2.0 release.

This issue was fixed in the openstack/puppet-barbican 14.2.0 release.

This issue was fixed in the openstack/puppet-ceilometer 14.2.0 release.

This issue was fixed in the openstack/puppet-cinder 14.2.0 release.

This issue was fixed in the openstack/puppet-cloudkitty 3.2.0 release.

This issue was fixed in the openstack/puppet-congress 14.2.0 release.

This issue was fixed in the openstack/puppet-designate 14.2.0 release.

This issue was fixed in the openstack/puppet-ec2api 14.2.0 release.

This issue was fixed in the openstack/puppet-freezer 3.2.0 release.

This issue was fixed in the openstack/puppet-glance 14.2.0 release.

This issue was fixed in the openstack/puppet-glare 3.2.0 release.

This issue was fixed in the openstack/puppet-gnocchi 14.2.0 release.

This issue was fixed in the openstack/puppet-heat 14.2.0 release.

This issue was fixed in the openstack/puppet-ironic 14.2.0 release.

This issue was fixed in the openstack/puppet-magnum 14.2.0 release.

This issue was fixed in the openstack/puppet-manila 14.2.0 release.

This issue was fixed in the openstack/puppet-mistral 14.2.0 release.

This issue was fixed in the openstack/puppet-neutron 14.2.0 release.

This issue was fixed in the openstack/puppet-nova 14.2.0 release.

This issue was fixed in the openstack/puppet-octavia 14.2.0 release.

This issue was fixed in the openstack/puppet-panko 14.2.0 release.

This issue was fixed in the openstack/puppet-sahara 14.2.0 release.

This issue was fixed in the openstack/puppet-tacker 14.2.0 release.

This issue was fixed in the openstack/puppet-trove 14.2.0 release.

This issue was fixed in the openstack/puppet-vitrage 4.2.0 release.

This issue was fixed in the openstack/puppet-watcher 14.2.0 release.

This issue was fixed in the openstack/puppet-zaqar 14.2.0 release.

This issue was fixed in the openstack/puppet-glance 14.3.0 release.

This issue was fixed in the openstack/puppet-gnocchi 14.3.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers